/// <reference types="node" />
import { PreparedDataStreamSession } from "./DataStreamServer";
import { DataStreamClientConnection } from "./DataStreamClient";
import { HAPServerConnection } from "../HAPServer";
import { HAPClientConnection } from "../HAPClient";
export declare class DataStreamProxy {
    private dataStreamServer;
    private dataStreamClient;
    constructor();
    generateKeySalt(): Buffer;
    setupClient(hapConnection: HAPClientConnection, host: string, listeningPort: number, salt: Buffer): Promise<DataStreamClientConnection>;
    setupController(connection: HAPServerConnection, controllerKeySalt: Buffer, clientConnection: DataStreamClientConnection): Promise<PreparedDataStreamSession>;
    private handleConnectionIdentified;
    private static stringify;
    private static forwardPayload;
    private static forwardClose;
}
//# sourceMappingURL=DataStreamProxy.d.ts.map