"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceFilter = void 0;
class ServiceFilter {
    /**
     * Creates a new instance of a ServiceFilter
     *
     * @param context {HAPProxy} - the associated proxy instance
     * @param aid {number} - accessory id
     * @param iid {number} - instance id of the service
     */
    constructor(context, aid, iid) {
        // record holding the actual filter instances; indexed by iid (iid of the characteristic)
        this.characteristicsFilters = {};
        this.context = context;
        this.aid = aid;
        this.iid = iid;
    }
}
exports.ServiceFilter = ServiceFilter;
//# sourceMappingURL=ServiceFilter.js.map