/// <reference types="node" />
import { PinProvider } from "../HAPClient";
export declare class ClientInfo {
    readonly accessoryName: string;
    clientId: string;
    private readonly pinProvider;
    longTermPublicKey: Buffer;
    longTermSecretKey: Buffer;
    paired: boolean;
    accessoryIdentifier: string;
    accessoryLTPK: Buffer;
    private loaded;
    constructor(accessoryName: string, pinProvider: string | PinProvider);
    pincode(): Promise<string>;
    save(): Promise<void>;
    load(): Promise<void>;
}
//# sourceMappingURL=ClientInfo.d.ts.map