/// <reference types="node" />
import { BinaryLike } from 'crypto';
export declare namespace uuid {
    const BASE_UUID = "-0000-1000-8000-0026BB765291";
    function generate(data: BinaryLike): string;
    function isValid(UUID: string): boolean;
    function unparse(buf: Buffer | string, offset?: number): string;
    function write(uuid: string, buf: Buffer, offset?: number): void;
    function toShortForm(uuid: string, base?: string): string;
    function toLongForm(uuid: string, base?: string): string;
}
//# sourceMappingURL=uuid.d.ts.map